/*
----- source -----
Filename: /home/alexey/Projects/adblock2privoxy/test-data/my.txt
Last modified: 17 Nov 1858 00:00 UTC
Expires: 72 hours
----- source -----
Title: "EasyList"
Filename: /home/alexey/Projects/adblock2privoxy/test-data/easylist.txt
Last modified: 07 Nov 2013 16:31 UTC
Expires: 96 hours
Version: 201311071631
License: "https://easylist-downloads.adblockplus.org/COPYING"
Homepage: "https://easylist.adblockplus.org/"
----- source -----
Filename: /home/alexey/Projects/adblock2privoxy/test-data/advblock.txt
Last modified: 07 Nov 2013 16:40 UTC
Expires: 72 hours
Version: 201311071640
License: "http://creativecommons.org/licenses/by/3.0/"
Homepage: "http://ruadlist.googlecode.com/"
----- source -----
Filename: /home/alexey/Projects/adblock2privoxy/test-data/bitblock.txt
Last modified: 17 Nov 1858 00:00 UTC
Expires: 120 hours
License: "http://creativecommons.org/licenses/by/3.0/"
Homepage: "http://ruadlist.googlecode.com/"
----- source -----
Title: "EasyPrivacy"
Filename: /home/alexey/Projects/adblock2privoxy/test-data/easyprivacy.txt
Last modified: 07 Nov 2013 16:31 UTC
Expires: 96 hours
Version: 201311071631
License: "https://easylist-downloads.adblockplus.org/COPYING"
Homepage: "https://easylist.adblockplus.org/"
----- source -----
Filename: /home/alexey/Projects/adblock2privoxy/test-data/cntblock.txt
Last modified: 08 Dec 2013 15:30 UTC
Expires: 120 hours
Version: 201312081530
License: "http://creativecommons.org/licenses/by/3.0/"
Homepage: "http://ruadlist.googlecode.com/"
------- end ------

*/
#AD_banner{display:none!important;visibility:hidden!important}
#AdColumn{display:none!important;visibility:hidden!important}
#AdContainer{display:none!important;visibility:hidden!important}
#AdHeader{display:none!important;visibility:hidden!important}
#AdImage{display:none!important;visibility:hidden!important}
#Adcode{display:none!important;visibility:hidden!important}
#AdvertiseFrame{display:none!important;visibility:hidden!important}
#BottomAdContainer{display:none!important;visibility:hidden!important}
#BottomAds{display:none!important;visibility:hidden!important}
#ContentAd{display:none!important;visibility:hidden!important}
#HouseAd{display:none!important;visibility:hidden!important}
#PreRollAd{display:none!important;visibility:hidden!important}
#RightAdBlock{display:none!important;visibility:hidden!important}
#SharePanel{display:none!important;visibility:hidden!important}
#TopAd{display:none!important;visibility:hidden!important}
#\5f __plus_0{display:none!important;visibility:hidden!important}
#\5f __plusone_0{display:none!important;visibility:hidden!important}
#ad-background{display:none!important;visibility:hidden!important}
#ad-container{display:none!important;visibility:hidden!important}
#ad-header{display:none!important;visibility:hidden!important}
#ad-header-728x90{display:none!important;visibility:hidden!important}
#ad-leaderboard{display:none!important;visibility:hidden!important}
#ad-main{display:none!important;visibility:hidden!important}
#ad-text{display:none!important;visibility:hidden!important}
#ad-top{display:none!important;visibility:hidden!important}
#ad-top-banner-placeholder{display:none!important;visibility:hidden!important}
#ad-top-wrapper{display:none!important;visibility:hidden!important}
#ad-unit{display:none!important;visibility:hidden!important}
#ad-wrapper{display:none!important;visibility:hidden!important}
#ad468{display:none!important;visibility:hidden!important}
#ad728{display:none!important;visibility:hidden!important}
#ad728x90{display:none!important;visibility:hidden!important}
#adBanner{display:none!important;visibility:hidden!important}
#adBanner160x600{display:none!important;visibility:hidden!important}
#adBelt{display:none!important;visibility:hidden!important}
#adComponentWrapper{display:none!important;visibility:hidden!important}
#adDiv{display:none!important;visibility:hidden!important}
#adFrame{display:none!important;visibility:hidden!important}
#adGallery{display:none!important;visibility:hidden!important}
#adHeader{display:none!important;visibility:hidden!important}
#adHolder{display:none!important;visibility:hidden!important}
#adLayer{display:none!important;visibility:hidden!important}
#adLeader{display:none!important;visibility:hidden!important}
#adPosition0{display:none!important;visibility:hidden!important}
#adSpace21{display:none!important;visibility:hidden!important}
#adText{display:none!important;visibility:hidden!important}
#adWrapper{display:none!important;visibility:hidden!important}
#ad_1{display:none!important;visibility:hidden!important}
#ad_2{display:none!important;visibility:hidden!important}
#ad_3{display:none!important;visibility:hidden!important}
#ad_4{display:none!important;visibility:hidden!important}
#ad_5{display:none!important;visibility:hidden!important}
#ad_728_90{display:none!important;visibility:hidden!important}
#ad_area{display:none!important;visibility:hidden!important}
#ad_banner{display:none!important;visibility:hidden!important}
#ad_center{display:none!important;visibility:hidden!important}
#ad_circ300x250{display:none!important;visibility:hidden!important}
#ad_content{display:none!important;visibility:hidden!important}
#ad_header{display:none!important;visibility:hidden!important}
#ad_leaderboard{display:none!important;visibility:hidden!important}
#ad_overlay{display:none!important;visibility:hidden!important}
#ad_overlay_countdown{display:none!important;visibility:hidden!important}
#ad_space{display:none!important;visibility:hidden!important}
#ad_square{display:none!important;visibility:hidden!important}
#ad_table{display:none!important;visibility:hidden!important}
#ad_top{display:none!important;visibility:hidden!important}
#ad_unit{display:none!important;visibility:hidden!important}
#ad_wrap{display:none!important;visibility:hidden!important}
#ad_wrapper{display:none!important;visibility:hidden!important}
#adbackground{display:none!important;visibility:hidden!important}
#adbanner{display:none!important;visibility:hidden!important}
#adbar{display:none!important;visibility:hidden!important}
#adblock{display:none!important;visibility:hidden!important}
#adbody{display:none!important;visibility:hidden!important}
#adbox{display:none!important;visibility:hidden!important}
#adcode{display:none!important;visibility:hidden!important}
#adcontainer{display:none!important;visibility:hidden!important}
#adcontainer1{display:none!important;visibility:hidden!important}
#adcontent{display:none!important;visibility:hidden!important}
#adhead{display:none!important;visibility:hidden!important}
#adheader{display:none!important;visibility:hidden!important}
#adimg1{display:none!important;visibility:hidden!important}
#adlayer{display:none!important;visibility:hidden!important}
#admiddle3center{display:none!important;visibility:hidden!important}
#adposition3{display:none!important;visibility:hidden!important}
#adright{display:none!important;visibility:hidden!important}
#ads-col{display:none!important;visibility:hidden!important}
#adsHeader{display:none!important;visibility:hidden!important}
#ads_bottom{display:none!important;visibility:hidden!important}
#ads_right{display:none!important;visibility:hidden!important}
#ads_top{display:none!important;visibility:hidden!important}
#ads_wrapper{display:none!important;visibility:hidden!important}
#adsdiv{display:none!important;visibility:hidden!important}
#adsense{display:none!important;visibility:hidden!important}
#adsense_block{display:none!important;visibility:hidden!important}
#adsense_inline{display:none!important;visibility:hidden!important}
#adskintop{display:none!important;visibility:hidden!important}
#adspace{display:none!important;visibility:hidden!important}
#adspace_leaderboard{display:none!important;visibility:hidden!important}
#adspace_top{display:none!important;visibility:hidden!important}
#adspot-300x250-pos-1{display:none!important;visibility:hidden!important}
#adspot-300x250-pos-2{display:none!important;visibility:hidden!important}
#adtext{display:none!important;visibility:hidden!important}
#adtop{display:none!important;visibility:hidden!important}
#adv{display:none!important;visibility:hidden!important}
#adv-masthead{display:none!important;visibility:hidden!important}
#adv-title{display:none!important;visibility:hidden!important}
#adv-top{display:none!important;visibility:hidden!important}
#advblock{display:none!important;visibility:hidden!important}
#advert1{display:none!important;visibility:hidden!important}
#advert2{display:none!important;visibility:hidden!important}
#advert_mpu_1{display:none!important;visibility:hidden!important}
#advertisetop{display:none!important;visibility:hidden!important}
#advertising_wrapper{display:none!important;visibility:hidden!important}
#adverts{display:none!important;visibility:hidden!important}
#advtop{display:none!important;visibility:hidden!important}
#adwrapper{display:none!important;visibility:hidden!important}
#banner-ad{display:none!important;visibility:hidden!important}
#bannerAd{display:none!important;visibility:hidden!important}
#bannerAdWrapper{display:none!important;visibility:hidden!important}
#banner_topad{display:none!important;visibility:hidden!important}
#bannerad{display:none!important;visibility:hidden!important}
#bigAd{display:none!important;visibility:hidden!important}
#bigad{display:none!important;visibility:hidden!important}
#body_ad{display:none!important;visibility:hidden!important}
#bottom_ad{display:none!important;visibility:hidden!important}
#centerads{display:none!important;visibility:hidden!important}
#cmn_ad_tag_head{display:none!important;visibility:hidden!important}
#companionAd{display:none!important;visibility:hidden!important}
#content-header-ad{display:none!important;visibility:hidden!important}
#contentAd{display:none!important;visibility:hidden!important}
#content_ads{display:none!important;visibility:hidden!important}
#content_adv{display:none!important;visibility:hidden!important}
#contentad{display:none!important;visibility:hidden!important}
#dart-container-728x90{display:none!important;visibility:hidden!important}
#dfp_ad_Entry_728x90{display:none!important;visibility:hidden!important}
#digg-widget{display:none!important;visibility:hidden!important}
#digg_module{display:none!important;visibility:hidden!important}
#digg_upcoming_content{display:none!important;visibility:hidden!important}
#divAd{display:none!important;visibility:hidden!important}
#div_prerollAd_1{display:none!important;visibility:hidden!important}
#download_ad{display:none!important;visibility:hidden!important}
#facebook{display:none!important;visibility:hidden!important}
#facebook_btn{display:none!important;visibility:hidden!important}
#fbContainer{display:none!important;visibility:hidden!important}
#fb_header{display:none!important;visibility:hidden!important}
#featuread{display:none!important;visibility:hidden!important}
#featured-ads{display:none!important;visibility:hidden!important}
#featuredAds{display:none!important;visibility:hidden!important}
#footer_ad{display:none!important;visibility:hidden!important}
#footer_ads{display:none!important;visibility:hidden!important}
#game-ad{display:none!important;visibility:hidden!important}
#googleAdArea{display:none!important;visibility:hidden!important}
#google_ads_frame{display:none!important;visibility:hidden!important}
#google_ads_frame1_anchor{display:none!important;visibility:hidden!important}
#googlead{display:none!important;visibility:hidden!important}
#head-ad{display:none!important;visibility:hidden!important}
#header-ads{display:none!important;visibility:hidden!important}
#headerAd{display:none!important;visibility:hidden!important}
#headerAdContainer{display:none!important;visibility:hidden!important}
#header_ad{display:none!important;visibility:hidden!important}
#homead{display:none!important;visibility:hidden!important}
#ka_adRightSkyscraperWide{display:none!important;visibility:hidden!important}
#leaderAd{display:none!important;visibility:hidden!important}
#leaderBoardAd{display:none!important;visibility:hidden!important}
#leaderboard-ad{display:none!important;visibility:hidden!important}
#left_ads{display:none!important;visibility:hidden!important}
#leftad{display:none!important;visibility:hidden!important}
#logoAd{display:none!important;visibility:hidden!important}
#logo_ad{display:none!important;visibility:hidden!important}
#mainAd{display:none!important;visibility:hidden!important}
#main_ad{display:none!important;visibility:hidden!important}
#mastad{display:none!important;visibility:hidden!important}
#module_digg{display:none!important;visibility:hidden!important}
#mpu2{display:none!important;visibility:hidden!important}
#mpu2_container{display:none!important;visibility:hidden!important}
#mpu_container{display:none!important;visibility:hidden!important}
#msad{display:none!important;visibility:hidden!important}
#myAd{display:none!important;visibility:hidden!important}
#news_advertorial_top{display:none!important;visibility:hidden!important}
#player_ads{display:none!important;visibility:hidden!important}
#pre_advertising_wrapper{display:none!important;visibility:hidden!important}
#prerollAd{display:none!important;visibility:hidden!important}
#printads{display:none!important;visibility:hidden!important}
#promo-ad{display:none!important;visibility:hidden!important}
#publicidad{display:none!important;visibility:hidden!important}
#rh-ad{display:none!important;visibility:hidden!important}
#right_ads{display:none!important;visibility:hidden!important}
#right_adsense{display:none!important;visibility:hidden!important}
#rightcolhouseads{display:none!important;visibility:hidden!important}
#rightside_ad{display:none!important;visibility:hidden!important}
#searchAd{display:none!important;visibility:hidden!important}
#search_ads{display:none!important;visibility:hidden!important}
#share-reddit{display:none!important;visibility:hidden!important}
#shareBox{display:none!important;visibility:hidden!important}
#share_button{display:none!important;visibility:hidden!important}
#share_feed{display:none!important;visibility:hidden!important}
#sharebar{display:none!important;visibility:hidden!important}
#sharebuttons{display:none!important;visibility:hidden!important}
#sideAd{display:none!important;visibility:hidden!important}
#side_ads{display:none!important;visibility:hidden!important}
#sidebar-ads{display:none!important;visibility:hidden!important}
#sidebar_ads{display:none!important;visibility:hidden!important}
#skybox-ad{display:none!important;visibility:hidden!important}
#social-footer{display:none!important;visibility:hidden!important}
#socialbar{display:none!important;visibility:hidden!important}
#socials{display:none!important;visibility:hidden!important}
#specialAd_two{display:none!important;visibility:hidden!important}
#sponsorAdDiv{display:none!important;visibility:hidden!important}
#takeover_ad{display:none!important;visibility:hidden!important}
#top-ad{display:none!important;visibility:hidden!important}
#topAd{display:none!important;visibility:hidden!important}
#topAdSpace{display:none!important;visibility:hidden!important}
#topAdSpace_div{display:none!important;visibility:hidden!important}
#topAdvert{display:none!important;visibility:hidden!important}
#topBannerAd{display:none!important;visibility:hidden!important}
#top_ad{display:none!important;visibility:hidden!important}
#top_ads{display:none!important;visibility:hidden!important}
#topad{display:none!important;visibility:hidden!important}
#topbannerad{display:none!important;visibility:hidden!important}
#tweets{display:none!important;visibility:hidden!important}
#uservoice-feedback{display:none!important;visibility:hidden!important}
#uservoice-feedback-tab{display:none!important;visibility:hidden!important}
#videoAd{display:none!important;visibility:hidden!important}
#vkMsg{display:none!important;visibility:hidden!important}
.ADBAR{display:none!important;visibility:hidden!important}
.AdBody:not(body){display:none!important;visibility:hidden!important}
.AdBox{display:none!important;visibility:hidden!important}
.AdInfo{display:none!important;visibility:hidden!important}
.AdTitle{display:none!important;visibility:hidden!important}
.AdvertContainer{display:none!important;visibility:hidden!important}
.HomeAds{display:none!important;visibility:hidden!important}
.RelatedAds{display:none!important;visibility:hidden!important}
.SponsoredContent{display:none!important;visibility:hidden!important}
.ad-banner{display:none!important;visibility:hidden!important}
.ad-block{display:none!important;visibility:hidden!important}
.ad-border{display:none!important;visibility:hidden!important}
.ad-button{display:none!important;visibility:hidden!important}
.ad-display{display:none!important;visibility:hidden!important}
.ad-enabled{display:none!important;visibility:hidden!important}
.ad-holder{display:none!important;visibility:hidden!important}
.ad-img{display:none!important;visibility:hidden!important}
.ad-inner{display:none!important;visibility:hidden!important}
.ad-item{display:none!important;visibility:hidden!important}
.ad-leaderboard{display:none!important;visibility:hidden!important}
.ad-left{display:none!important;visibility:hidden!important}
.ad-links{display:none!important;visibility:hidden!important}
.ad-right{display:none!important;visibility:hidden!important}
.ad-section{display:none!important;visibility:hidden!important}
.ad-sidebar{display:none!important;visibility:hidden!important}
.ad-square{display:none!important;visibility:hidden!important}
.ad-stack{display:none!important;visibility:hidden!important}
.ad-text{display:none!important;visibility:hidden!important}
.ad-top{display:none!important;visibility:hidden!important}
.ad-unit{display:none!important;visibility:hidden!important}
.ad-unit-300-wrapper{display:none!important;visibility:hidden!important}
.ad-vertical-container{display:none!important;visibility:hidden!important}
.ad-wide{display:none!important;visibility:hidden!important}
.ad-wrap{display:none!important;visibility:hidden!important}
.ad-wrapper{display:none!important;visibility:hidden!important}
.ad160{display:none!important;visibility:hidden!important}
.ad300{display:none!important;visibility:hidden!important}
.ad728{display:none!important;visibility:hidden!important}
.ad90{display:none!important;visibility:hidden!important}
.adBlock{display:none!important;visibility:hidden!important}
.adBottomBoard{display:none!important;visibility:hidden!important}
.adBox{display:none!important;visibility:hidden!important}
.adContent{display:none!important;visibility:hidden!important}
.adDiv{display:none!important;visibility:hidden!important}
.adElement{display:none!important;visibility:hidden!important}
.adFrame{display:none!important;visibility:hidden!important}
.adHead{display:none!important;visibility:hidden!important}
.adHeader{display:none!important;visibility:hidden!important}
.adHeaderblack{display:none!important;visibility:hidden!important}
.adHeadline{display:none!important;visibility:hidden!important}
.adHolder{display:none!important;visibility:hidden!important}
.adHoldert{display:none!important;visibility:hidden!important}
.adImg{display:none!important;visibility:hidden!important}
.adItem{display:none!important;visibility:hidden!important}
.adLink{display:none!important;visibility:hidden!important}
.adMiddle{display:none!important;visibility:hidden!important}
.adMod{display:none!important;visibility:hidden!important}
.adModule{display:none!important;visibility:hidden!important}
.adOverlay{display:none!important;visibility:hidden!important}
.adPanel{display:none!important;visibility:hidden!important}
.adResult{display:none!important;visibility:hidden!important}
.adRight{display:none!important;visibility:hidden!important}
.adRotator{display:none!important;visibility:hidden!important}
.adSpace{display:none!important;visibility:hidden!important}
.adSpot{display:none!important;visibility:hidden!important}
.adText{display:none!important;visibility:hidden!important}
.adTitle{display:none!important;visibility:hidden!important}
.adTopHome{display:none!important;visibility:hidden!important}
.adWidget{display:none!important;visibility:hidden!important}
.adWrap{display:none!important;visibility:hidden!important}
.ad_1{display:none!important;visibility:hidden!important}
.ad_160{display:none!important;visibility:hidden!important}
.ad_160x600{display:none!important;visibility:hidden!important}
.ad_2{display:none!important;visibility:hidden!important}
.ad_3{display:none!important;visibility:hidden!important}
.ad_728x90{display:none!important;visibility:hidden!important}
.ad_Right{display:none!important;visibility:hidden!important}
.ad_body{display:none!important;visibility:hidden!important}
.ad_container{display:none!important;visibility:hidden!important}
.ad_content{display:none!important;visibility:hidden!important}
.ad_description{display:none!important;visibility:hidden!important}
.ad_global_header{display:none!important;visibility:hidden!important}
.ad_head_rectangle{display:none!important;visibility:hidden!important}
.ad_header{display:none!important;visibility:hidden!important}
.ad_item{display:none!important;visibility:hidden!important}
.ad_large{display:none!important;visibility:hidden!important}
.ad_leaderboard{display:none!important;visibility:hidden!important}
.ad_line{display:none!important;visibility:hidden!important}
.ad_middle{display:none!important;visibility:hidden!important}
.ad_promo{display:none!important;visibility:hidden!important}
.ad_slug_table{display:none!important;visibility:hidden!important}
.ad_small{display:none!important;visibility:hidden!important}
.ad_space{display:none!important;visibility:hidden!important}
.ad_text{display:none!important;visibility:hidden!important}
.ad_title{display:none!important;visibility:hidden!important}
.ad_wrap{display:none!important;visibility:hidden!important}
.ad_wrapper{display:none!important;visibility:hidden!important}
.ad_zone{display:none!important;visibility:hidden!important}
.adarea{display:none!important;visibility:hidden!important}
.adbanner{display:none!important;visibility:hidden!important}
.adbar{display:none!important;visibility:hidden!important}
.adbottom{display:none!important;visibility:hidden!important}
.adbutton{display:none!important;visibility:hidden!important}
.adcolumn{display:none!important;visibility:hidden!important}
.adcont{display:none!important;visibility:hidden!important}
.addiv{display:none!important;visibility:hidden!important}
.addthis_toolbox{display:none!important;visibility:hidden!important}
.adframe{display:none!important;visibility:hidden!important}
.adheader{display:none!important;visibility:hidden!important}
.adholder{display:none!important;visibility:hidden!important}
.adinfo{display:none!important;visibility:hidden!important}
.adlink{display:none!important;visibility:hidden!important}
.adlist{display:none!important;visibility:hidden!important}
.admain{display:none!important;visibility:hidden!important}
.admiddle{display:none!important;visibility:hidden!important}
.adpic{display:none!important;visibility:hidden!important}
.adright{display:none!important;visibility:hidden!important}
.adrow1{display:none!important;visibility:hidden!important}
.adrow2{display:none!important;visibility:hidden!important}
.ads-area{display:none!important;visibility:hidden!important}
.ads-col{display:none!important;visibility:hidden!important}
.ads-header{display:none!important;visibility:hidden!important}
.ads-inline{display:none!important;visibility:hidden!important}
.ads-item{display:none!important;visibility:hidden!important}
.ads-section{display:none!important;visibility:hidden!important}
.ads-title{display:none!important;visibility:hidden!important}
.ads-top{display:none!important;visibility:hidden!important}
.adsBlock{display:none!important;visibility:hidden!important}
.ads_catDiv{display:none!important;visibility:hidden!important}
.ads_div{display:none!important;visibility:hidden!important}
.ads_top{display:none!important;visibility:hidden!important}
.ads_wrapper{display:none!important;visibility:hidden!important}
.adsbottombox{display:none!important;visibility:hidden!important}
.adscontainer{display:none!important;visibility:hidden!important}
.adshome{display:none!important;visibility:hidden!important}
.adside{display:none!important;visibility:hidden!important}
.adslot_blurred{display:none!important;visibility:hidden!important}
.adspace{display:none!important;visibility:hidden!important}
.adtable{display:none!important;visibility:hidden!important}
.adtile{display:none!important;visibility:hidden!important}
.adtitle{display:none!important;visibility:hidden!important}
.adtop{display:none!important;visibility:hidden!important}
.adv_300{display:none!important;visibility:hidden!important}
.adv_top{display:none!important;visibility:hidden!important}
.advert-block{display:none!important;visibility:hidden!important}
.advert-box{display:none!important;visibility:hidden!important}
.advert-container{display:none!important;visibility:hidden!important}
.advert-content{display:none!important;visibility:hidden!important}
.advert-horizontal{display:none!important;visibility:hidden!important}
.advert2{display:none!important;visibility:hidden!important}
.advertColumn{display:none!important;visibility:hidden!important}
.advertContainer{display:none!important;visibility:hidden!important}
.advert_container{display:none!important;visibility:hidden!important}
.advert_list{display:none!important;visibility:hidden!important}
.advertbox{display:none!important;visibility:hidden!important}
.advertisement-1{display:none!important;visibility:hidden!important}
.advertisement-swimlane{display:none!important;visibility:hidden!important}
.advertiser{display:none!important;visibility:hidden!important}
.advertising_block{display:none!important;visibility:hidden!important}
.advertisment{display:none!important;visibility:hidden!important}
.advertorial{display:none!important;visibility:hidden!important}
.adverts{display:none!important;visibility:hidden!important}
.adverttext{display:none!important;visibility:hidden!important}
.adwords{display:none!important;visibility:hidden!important}
.article_ad{display:none!important;visibility:hidden!important}
.b-advert{display:none!important;visibility:hidden!important}
.b-banner{display:none!important;visibility:hidden!important}
.banner-ads{display:none!important;visibility:hidden!important}
.banner300{display:none!important;visibility:hidden!important}
.banner_728x90{display:none!important;visibility:hidden!important}
.banner_ad{display:none!important;visibility:hidden!important}
.bannerad{display:none!important;visibility:hidden!important}
.big-ads{display:none!important;visibility:hidden!important}
.block-ad{display:none!important;visibility:hidden!important}
.blog-ads{display:none!important;visibility:hidden!important}
.bottom-ad{display:none!important;visibility:hidden!important}
.bottom-ads{display:none!important;visibility:hidden!important}
.bottomAds{display:none!important;visibility:hidden!important}
.bottom_ad_block{display:none!important;visibility:hidden!important}
.box-ads{display:none!important;visibility:hidden!important}
.boxad{display:none!important;visibility:hidden!important}
.can_ad_slug{display:none!important;visibility:hidden!important}
.category-ad{display:none!important;visibility:hidden!important}
.change_AdContainer{display:none!important;visibility:hidden!important}
.connect_widget{display:none!important;visibility:hidden!important}
.container_ad{display:none!important;visibility:hidden!important}
.container_row_ad{display:none!important;visibility:hidden!important}
.contentAd{display:none!important;visibility:hidden!important}
.content_ads{display:none!important;visibility:hidden!important}
.cp-adsInited{display:none!important;visibility:hidden!important}
.digg-button{display:none!important;visibility:hidden!important}
.digg_button{display:none!important;visibility:hidden!important}
.displayAd{display:none!important;visibility:hidden!important}
.facebook-button{display:none!important;visibility:hidden!important}
.facebook-widget{display:none!important;visibility:hidden!important}
.facebookLikeBox{display:none!important;visibility:hidden!important}
.fb-likebox{display:none!important;visibility:hidden!important}
.fb-recommendations{display:none!important;visibility:hidden!important}
.fb-recommendations-bar{display:none!important;visibility:hidden!important}
.fbBox{display:none!important;visibility:hidden!important}
.fb_edge_widget_with_comment{display:none!important;visibility:hidden!important}
.fb_like_container{display:none!important;visibility:hidden!important}
.fb_share{display:none!important;visibility:hidden!important}
.fblike{display:none!important;visibility:hidden!important}
.featuredAdBox{display:none!important;visibility:hidden!important}
.feed-icon{display:none!important;visibility:hidden!important}
.flash-advertisement{display:none!important;visibility:hidden!important}
.follow-button{display:none!important;visibility:hidden!important}
.follow-widget{display:none!important;visibility:hidden!important}
.footer-ad{display:none!important;visibility:hidden!important}
.footer-ads{display:none!important;visibility:hidden!important}
.forumAd{display:none!important;visibility:hidden!important}
.gallery-ad{display:none!important;visibility:hidden!important}
.google-sponsored{display:none!important;visibility:hidden!important}
.google_plus{display:none!important;visibility:hidden!important}
.header-ad{display:none!important;visibility:hidden!important}
.headerAd{display:none!important;visibility:hidden!important}
.header_ad{display:none!important;visibility:hidden!important}
.header_ad_center{display:none!important;visibility:hidden!important}
.header_advert{display:none!important;visibility:hidden!important}
.headerad{display:none!important;visibility:hidden!important}
.headerads{display:none!important;visibility:hidden!important}
.home-ad{display:none!important;visibility:hidden!important}
.homeAd{display:none!important;visibility:hidden!important}
.homead{display:none!important;visibility:hidden!important}
.homepage_ads{display:none!important;visibility:hidden!important}
.horizontal_ad{display:none!important;visibility:hidden!important}
.image-advertisement{display:none!important;visibility:hidden!important}
.imgad{display:none!important;visibility:hidden!important}
.inner_ad{display:none!important;visibility:hidden!important}
.innerad{display:none!important;visibility:hidden!important}
.interstitial_ad_wrapper{display:none!important;visibility:hidden!important}
.ipsAd{display:none!important;visibility:hidden!important}
.item-ads{display:none!important;visibility:hidden!important}
.leaderboard-ad{display:none!important;visibility:hidden!important}
.leaderboard-ads{display:none!important;visibility:hidden!important}
.leftAd{display:none!important;visibility:hidden!important}
.leftad{display:none!important;visibility:hidden!important}
.list-ad{display:none!important;visibility:hidden!important}
.logo-ad{display:none!important;visibility:hidden!important}
.marketing-ad{display:none!important;visibility:hidden!important}
.mid_ad{display:none!important;visibility:hidden!important}
.middle_AD{display:none!important;visibility:hidden!important}
.module-ad{display:none!important;visibility:hidden!important}
.newsAd{display:none!important;visibility:hidden!important}
.oasad{display:none!important;visibility:hidden!important}
.openx{display:none!important;visibility:hidden!important}
.outbrain{display:none!important;visibility:hidden!important}
.page_ad{display:none!important;visibility:hidden!important}
.pin-it-button{display:none!important;visibility:hidden!important}
.pinit_btn{display:none!important;visibility:hidden!important}
.pinterest-button{display:none!important;visibility:hidden!important}
.pinterest-share-button{display:none!important;visibility:hidden!important}
.player_ad{display:none!important;visibility:hidden!important}
.player_hover_ad{display:none!important;visibility:hidden!important}
.pm-ad{display:none!important;visibility:hidden!important}
.post-ad{display:none!important;visibility:hidden!important}
.post-fb-like{display:none!important;visibility:hidden!important}
.post-social{display:none!important;visibility:hidden!important}
.post_ad{display:none!important;visibility:hidden!important}
.post_ads{display:none!important;visibility:hidden!important}
.postad{display:none!important;visibility:hidden!important}
.promoAd{display:none!important;visibility:hidden!important}
.publicidad{display:none!important;visibility:hidden!important}
.rectangle_ad{display:none!important;visibility:hidden!important}
.reddit_button{display:none!important;visibility:hidden!important}
.refreshAds{display:none!important;visibility:hidden!important}
.region-top-ad-position{display:none!important;visibility:hidden!important}
.reklam{display:none!important;visibility:hidden!important}
.reklama{display:none!important;visibility:hidden!important}
.reportAdLink{display:none!important;visibility:hidden!important}
.right-ad{display:none!important;visibility:hidden!important}
.rightAd{display:none!important;visibility:hidden!important}
.right_ad{display:none!important;visibility:hidden!important}
.right_ads_column{display:none!important;visibility:hidden!important}
.rightad{display:none!important;visibility:hidden!important}
.rightadv{display:none!important;visibility:hidden!important}
.rss-feed{display:none!important;visibility:hidden!important}
.rss.icon{display:none!important;visibility:hidden!important}
.sb_adsNv2{display:none!important;visibility:hidden!important}
.scribol{display:none!important;visibility:hidden!important}
.searchads{display:none!important;visibility:hidden!important}
.share-box{display:none!important;visibility:hidden!important}
.share-facebook{display:none!important;visibility:hidden!important}
.share-page{display:none!important;visibility:hidden!important}
.share-twitter{display:none!important;visibility:hidden!important}
.shareLink{display:none!important;visibility:hidden!important}
.shareLinks{display:none!important;visibility:hidden!important}
.shareText{display:none!important;visibility:hidden!important}
.shareTools{display:none!important;visibility:hidden!important}
.shareToolsItem{display:none!important;visibility:hidden!important}
.share_wrapper{display:none!important;visibility:hidden!important}
.sharebox{display:none!important;visibility:hidden!important}
.sharebutton{display:none!important;visibility:hidden!important}
.sharebuttons{display:none!important;visibility:hidden!important}
.sharecontainer{display:none!important;visibility:hidden!important}
.showAd{display:none!important;visibility:hidden!important}
.side-ad{display:none!important;visibility:hidden!important}
.signature{display:none!important;visibility:hidden!important}
.single-ad{display:none!important;visibility:hidden!important}
.singleAd{display:none!important;visibility:hidden!important}
.sky_ad{display:none!important;visibility:hidden!important}
.skyscraperAd{display:none!important;visibility:hidden!important}
.small_ad{display:none!important;visibility:hidden!important}
.smallads{display:none!important;visibility:hidden!important}
.social{display:none!important;visibility:hidden!important}
.social-bar{display:none!important;visibility:hidden!important}
.social-bar-bottom{display:none!important;visibility:hidden!important}
.social-box{display:none!important;visibility:hidden!important}
.social-media{display:none!important;visibility:hidden!important}
.social-sharing{display:none!important;visibility:hidden!important}
.social-tab{display:none!important;visibility:hidden!important}
.socialMedia{display:none!important;visibility:hidden!important}
.social_bar{display:none!important;visibility:hidden!important}
.social_buttons{display:none!important;visibility:hidden!important}
.social_share{display:none!important;visibility:hidden!important}
.sponsor-box{display:none!important;visibility:hidden!important}
.sponsoredLinks{display:none!important;visibility:hidden!important}
.sponsoredtextlink_container{display:none!important;visibility:hidden!important}
.sponsorlink{display:none!important;visibility:hidden!important}
.text-ad{display:none!important;visibility:hidden!important}
.textad{display:none!important;visibility:hidden!important}
.textads{display:none!important;visibility:hidden!important}
.top-ad{display:none!important;visibility:hidden!important}
.topAds{display:none!important;visibility:hidden!important}
.top_ad{display:none!important;visibility:hidden!important}
.top_ad_div{display:none!important;visibility:hidden!important}
.top_ads{display:none!important;visibility:hidden!important}
.topads{display:none!important;visibility:hidden!important}
.tower-ad{display:none!important;visibility:hidden!important}
.twitter-button{display:none!important;visibility:hidden!important}
.twitter-hashtag{display:none!important;visibility:hidden!important}
.twitter-share{display:none!important;visibility:hidden!important}
.twitter-share-button{display:none!important;visibility:hidden!important}
.twtr-widget{display:none!important;visibility:hidden!important}
.type_ads_default{display:none!important;visibility:hidden!important}
.wide-ad{display:none!important;visibility:hidden!important}
.wideAd{display:none!important;visibility:hidden!important}
.withAds{display:none!important;visibility:hidden!important}
.ya-partner_ads-up{display:none!important;visibility:hidden!important}
.yom-ad{display:none!important;visibility:hidden!important}
.youtube_subscribe_module{display:none!important;visibility:hidden!important}
a[href*="/adrotate/adrotate-out.php?"]{display:none!important;visibility:hidden!important}
a[href^="http://ad-emea.doubleclick.net/"]{display:none!important;visibility:hidden!important}
a[href^="http://ad.doubleclick.net/"]{display:none!important;visibility:hidden!important}
a[href^="http://adultfriendfinder.com/p/register.cgi?pid="]{display:none!important;visibility:hidden!important}
a[href^="http://marketgid.com"]{display:none!important;visibility:hidden!important}
a[href^="http://mgid.com/"]{display:none!important;visibility:hidden!important}
a[href^="http://us.marketgid.com"]{display:none!important;visibility:hidden!important}
a[href^="http://www.fbooksluts.com/"]{display:none!important;visibility:hidden!important}
a[href^="http://www.fleshlight.com/"]{display:none!important;visibility:hidden!important}
a[href^="http://www.google.com/aclk?"]{display:none!important;visibility:hidden!important}
a[href^="http://www.liutilities.com/"]{display:none!important;visibility:hidden!important}
a[href^="http://www.socialsex.com/"]{display:none!important;visibility:hidden!important}
a[href^="http://www.yourfuckbook.com/?"]{display:none!important;visibility:hidden!important}
a[id^="mg_add"]{display:none!important;visibility:hidden!important}
div[class*="notifier_baloon_"]{display:none!important;visibility:hidden!important}
div[id$="notifiers_wrap"]{display:none!important;visibility:hidden!important}
div[id^="MarketGid"]{display:none!important;visibility:hidden!important}
div[id^="div-gpt-ad-"]{display:none!important;visibility:hidden!important}
iframe[src^="http://ad.yieldmanager.com/"]{display:none!important;visibility:hidden!important}
